/*****************************************************************************/
/* N.A.D.A.R. - A network tank battle game.                                  */
/*                                                                           */
/* N.A.D.A.R. Copyright (c) 2000 Sakai Hiroaki.                              */
/* All Rights Reserved.                                                      */
/*                                                                           */
/* N.A.D.A.R. is a network tank battle game. You get into a tank,            */
/* operate it, and destroy other tanks to survive!                           */
/*****************************************************************************/

/*****************************************************************************/
/* ФΥᥤ                                                            */
/*****************************************************************************/

#include <signal.h>

#include "Game.h"

Game game = NULL;

void quit (int value)
{
  fprintf(stderr, "Terminated.\n");

  game = GameDestroy(game);

  exit (1);
}

int main(int argc, char * argv[])
{
  char * server_hostname;
  int silent;

  signal(SIGINT , quit);
  signal(SIGTERM, quit);

  server_hostname = GetArgument(&argc, argv, "-host");
  if (server_hostname == NULL)
    server_hostname = GetArgument(&argc, argv, "-h");

  silent = GetArgumentByBoolean(&argc, argv, "-silent");

  game = GameCreate(server_hostname);
  if (game == NULL) exit (1);
  GameStart(game, silent);
  game = GameDestroy(game);

  exit (0);
}

/*****************************************************************************/
/* End of File.                                                              */
/*****************************************************************************/
